#include <OB/CORBA.h>
#include <iostream.h>

int run(CORBA::ORB_ptr);			// le run() est specifique a l'executable

int main(int argc, char* argv[]) {	// Programme principal standard d'une
	int status = EXIT_SUCCESS;		// application CORBA
	CORBA::ORB_var orb;

	try	{
		orb = CORBA::ORB_init(argc, argv);	// Initialisation du bus
		status = run(orb);					// Execution de l'application
	}
	catch(const CORBA::Exception&) { 
		status = EXIT_FAILURE;
		cerr << "Erreur du bus CORBA" << endl;
	}

	if(!CORBA::is_nil(orb))	{
		try { orb -> destroy(); }			// Destruction du bus
		catch(const CORBA::Exception&) {
			status = EXIT_FAILURE;
			cerr << "Erreur du bus CORBA" << endl;
		}
	}

	return status;
}